pliny.namespace({
  name: "Primrose",
  description: "Primrose helps you make VR applications for web browsers as easy as making other types of interactive web pages.\n\
\n\
This top-level namespace contains classes for manipulating and viewing 3D environments."
});

import AbstractEventEmitter from "./AbstractEventEmitter";
import Angle from "./Angle";
import Audio from "./Audio";
import BrowserEnvironment from "./BrowserEnvironment";
import Constants from "./Constants";
import Controls from "./Controls";
import DOM from "./DOM";
import Graphics from "./Graphics";
import HTTP from "./HTTP";
import Input from "./Input";
import Keys from "./Keys";
import Network from "./Network";
import Pointer from "./Pointer";
import Random from "./Random";
import Text from "./Text";

export {
  AbstractEventEmitter,
  Angle,
  Audio,
  BrowserEnvironment,
  Constants,
  Controls,
  DOM,
  Graphics,
  HTTP,
  Input,
  Keys,
  Network,
  Pointer,
  Random,
  Text
};

const obj = {
  AbstractEventEmitter,
  Angle,
  Audio,
  BrowserEnvironment,
  Constants,
  Controls,
  DOM,
  Graphics,
  HTTP,
  Input,
  Keys,
  Network,
  Pointer,
  Random,
  Text
};

export default obj;